Monitoring, Management & Location Tracking

Multi-step (incremental) upgrade via interim version

Note: 7.5.x and later upgrades are available in 64 bit OS version only.

Refer to the Knowledge Base article "How do I upgrade the AMP?" for basic instructions on upgrading AMP.

https://arubanetworkskb.secure.force.com/pkb/articles/FAQ/How-do-I-upgrade-the-AMP

NOTE:  If you are on CentOS 4, beginning with AWMS 6.3 you will need to upgrade the operating system
in order to upgrade your server. See article: AirWave CentOS 4 to 5.3 Upgrade Using_AMP 6.3 ISO.
https://arubanetworkskb.secure.force.com/pkb/articles/FAQ/AirWave-CentOS-4-to-5-3-Upgrade-using-AMP-6-3-ISO

Note: For clear step by step upgrade instructions to the latest available version, with all  precautionary steps
and download links for each version which available in both 32-bit & 64-bit OS, please refer to the article:
Upgrading / Migrating from 32-bit to 64-bit
https://arubanetworkskb.secure.force.com/pkb/articles/FAQ/Upgrading-Migrating-from-32-bit-to-64-bit

It is mandatory to upgrade only 2 versions in one go.
For example you can upgrade from 7.5 to 7.7 or 7.4 to 7.6 but not from 7.4 to 7.7.

*** Upgrading directly to v7.7 from v7.4.x is not supported. ***

If upgrading from an older version, it may be necessary to do a series of interim upgrades.

Example: if you are currently on v6.0.4 and you want to upgrade to v7.2, you would
need to upgrade to v6.2.3 first, then to v6.4.7, then to v7.0.11 before upgrading to v7.2.

6.0.4 >> 6.2.3 >> 6.4.7 >> 7.0.11 >> 7.2.4>>7.4.x
 

To upgrade to the latest version of the AMP you run the following script at the AMP console:

# start_amp_upgrade -v <version>

Eg: # start_amp_upgrade -v 7.5.2

You will be prompted for your username and password.

Note:

For upgrades till 7.3.x, please use the AirWave Support Site's credentials. For upgrading to 7.4.x version
and newer, please use Aruba Support Site's credentials.

To upgrade via an interim version you would run a command sequence similar to the following:

# start_amp_upgrade -v 6.2.3
# start_amp_upgrade -v 6.4.7

Please check with AirWave Support if you need an upgrade package that is not available on the Support Downloads page.

The table below shows the upgrade path when upgrading to the current version from the version listed in the first column:

From version >> Upgrade path    

5.3.x >> 6.0.9 >> 6.2.3 >> 6.4.7 >> 7.0.11 >> 7.2.4 >> 7.4.x >> 7.6.x >> 7.7.x
6.0.x >> 6.2.3 >> 6.4.7 >> 7.0.11 >> 7.2.4 >> 7.4.x >> 7.6.x >> 7.7.x
6.1.x >> 6.2.3 >> 6.4.7 >> 7.0.11 >> 7.2.4 >> 7.4.x >> 7.6.x >> 7.7.x
6.2.x >> 6.3.7 >> 6.4.7 >> 7.0.11 >> 7.2.4 >> 7.4.x >> 7.6.x >> 7.7.x
6.3.x >> 6.4.7 >> 7.0.11 >> 7.2.4 >> 7.4.x >> 7.6.x >> 7.7.x
6.4.x >> 7.0.11 >> 7.2.4 >> 7.4.x >> 7.6.x >> 7.7.x
7.0.x >> .7.2.4 >> 7.4.x >> 7.6.x >> 7.7.x
7.1.x >> 7.3.8 >> 7.5.x >> 7.7.x
7.2.x >> 7.4.x >> 7.6.x >> 7.7.x
7.3.x >> 7.5.x >> 7.7.x
7.4.x >> 7.6.x >> 7.7.x
7.5.x >> 7.7.x
7.6.x >> 7.7.x

Version history
Revision #:
1 of 1
Last update:
‎06-09-2014 03:42 PM
Updated by:
 
Labels (1)
Contributors
Search Airheads
Showing results for 
Search instead for 
Did you mean: 
Is this a frequent problem?

Request an official Aruba knowledge base article to be written by our experts.